<?xml version="1.0" encoding="UTF-8"?>
<phpunit
    bootstrap="vendor/autoload.php"
    colors="true"
    cacheDirectory=".phpunit.cache"
>
    <testsuites>
        <testsuite name="Unit">
            <directory suffix="Test.php">tests/Unit</directory>
        </testsuite>
        <testsuite name="Integration">
            <directory suffix="Test.php">tests/Integration</directory>
        </testsuite>
        <testsuite name="Api">
            <directory suffix="Test.php">tests/Api</directory>
        </testsuite>
        <testsuite name="Legacy">
            <directory suffix="Test.php">tests/Legacy</directory>
        </testsuite>
    </testsuites>

    <source>
        <include>
            <directory suffix=".php">classes</directory>
            <directory suffix=".php">modules</directory>
            <directory suffix=".php">objects</directory>
            <directory suffix=".php">routes</directory>
            <directory suffix=".php">traits</directory>
        </include>
    </source>
</phpunit>
